## latex2html 98.1p1

=== docs/Makefile ===
#
#  Makefile  for the...
#
#    LaTeX2HTML  documentation & User Manual
#
#  by  Ross Moore <ross@mpce.mq.edu.au>
#  and  Herb Swan <dprhws@edp.Arco.COM>
#
#  20 April 1996
#
#  modified for v97.1 by  Ross Moore
#
#  10 July 1997
#

#
# These are the usual calls to application programs
#
DVIPS = dvips
LATEX = latex
MAKEINDEX = makeindex
BIBTEX = bibtex

# L2H = latex2html  -no_math -html_version 3.2,math -scalable_fonts 
L2H = latex2html  -no_math -html_version 3.2,math 


#
# ... however some TeX installations require more,
# to set path-variables before calling other scripts.
# For example...
#
TEXMF = /usr/local/texmf

LATEXINPUTDIR = $(TEXMF)/tex/latex//
PKFONTDIR = $(TEXMF)/fonts/public//pk/cx//
BSTINPUTS = $(TEXMF)/bibtex/bst

#DVIPS     = PKFONTS=.:$(TEXMF)/fonts/public//pk/cx// $(TEXMF)/bin/dvips
#LATEX     = TEXFONTS=.:$(PKFONTDIR):$$TEXFONTS;TEXINPUTS=.:$(LATEXINPUTDIR);latex
#BIBTEX    = set BSTINPUTS .:$(BSTINPUTS);bibtex



TOP	= manual
LIC	= licence
CRE	= credits
DAT	= l2hfiles.dat
OVW	= overview
SUP	= support
ENV	= features
HYP	= hypextra
MAN	= userman
PRO	= problems
CHA	= changes
INT	= internals.pl
IND	= index.pl
FIG	= figure.pl
TAB	= table.pl
TOPTITLE  = "LaTeX2HTML"
S1TITLE	  = "Overview"
S2TITLE	  = "Installation"
#S3TITLE	  = "User_Manual"
S3TITLE	  = "Environments_and_Special_Features"
S4TITLE   = "Hypertext_Extensions"
#S5TITLE   = "Features"
S5TITLE   = "Customising_the_Layout"
S6TITLE   = "Problems"
S7TITLE   = "Changes"
CHGTITLE   = "Changes"
CONTENTS = "node6"
CHGNODE = "node8"
REFNODE = "node9"
GLOSSNODE = "node10"
INDEXNODE = "node11"
BIBLIO	= "Bibliography"
GLOSS	= "Glossary"



COMMON	  = -external_file $(TOP) -dir $(TOP) -info 0 -short_index \
		-contents $(CONTENTS).html -index $(INDEXNODE).html \
		-biblio $(REFNODE) -no_auto_link -no_footnode \
		-split 6 -link 6 -up_url $(TOP).html -up_title $(TOPTITLE)

LTOP	  =  -short_index -split 4 -link 5\
		 -t $(TOPTITLE) $(TOP).tex

LSEC1	  = $(COMMON) -prefix O  \
		-prev_url $(TOP).html -prev_title $(TOPTITLE) \
		-down_url $(SUP).html -down_title $(S2TITLE)  $(OVW).tex 

LSEC2	  = $(COMMON) -prefix S  -debug \
		-prev_url $(OVW).html -prev_title $(S1TITLE) \
		-down_url $(ENV).html -down_title $(S3TITLE)  $(SUP).tex 

#		-down_url $(MAN).html -down_title $(S3TITLE)  $(SUP).tex 

LSEC3	  = $(COMMON) -prefix E \
		-prev_url ../$(TOP)/$(SUP).html -prev_title $(S2TITLE) \
		-down_url ../$(TOP)/$(HYP).html -down_title $(S4TITLE)  $(ENV).tex 

#		-down_url ../$(TOP)/$(HYP).html -down_title $(S4TITLE)  $(MAN).tex 

LSEC4	  = $(COMMON) -prefix H \
		-prev_url ../$(TOP)/$(ENV).html -prev_title $(S3TITLE) \
		-down_url ../$(TOP)/$(MAN).html -down_title $(S5TITLE)  $(HYP).tex 

#		-prev_url ../$(TOP)/$(MAN).html -prev_title $(S3TITLE) \
#		-down_url ../$(TOP)/$(FEA).html -down_title $(S5TITLE)  $(HYP).tex 

LSEC5	  = $(COMMON) -prefix M \
		-prev_url ../$(TOP)/$(HYP).html -prev_title $(S4TITLE) \
		-down_url ../$(TOP)/$(PRO).html -down_title $(S6TITLE)  $(MAN).tex 

#		-down_url ../$(TOP)/$(PRO).html -down_title $(S6TITLE)  $(FEA).tex 

LSEC6	  = $(COMMON) -prefix P \
		-prev_url ../$(TOP)/$(MAN).html -prev_title $(S5TITLE) \
		-down_url ../$(TOP)/$(REFNODE).html -down_title $(BIBLIO)  $(PRO).tex 

#		-prev_url ../$(TOP)/$(FEA).html -prev_title $(S5TITLE) \

#		-down_url ../$(TOP)/$(CHGNODE).html -down_title $(CHGTITLE)  $(PRO).tex 


LSEC7	  = $(COMMON) -prefix C -dir $(TOP)  -info 0  \
		-prev_url ../$(TOP)/$(PRO).html -prev_title $(S6TITLE) \
		-down_url ../$(TOP)/$(GLOSSNODE).html -down_title $(GLOSS)  $(CHA).tex 


#
#  dvi- and  PostScript versions
#

manual.ps:      manual.cb
	$(DVIPS) -N0 -D 1200 manual.dvi -o $@

manual.aux manual.cb: \
	    manual.tex credits.tex licence.tex overview.tex \
	    support.tex userman.tex hypextra.tex features.tex \
	    problems.tex l2hfiles.dat  manhtml.tex l2hman.sty
	$(LATEX) manual.tex

manual.glo manual.idx: \
	    manual.tex credits.tex licence.tex overview.tex \
	    support.tex userman.tex hypextra.tex features.tex \
	    problems.tex l2hfiles.dat  manhtml.tex l2hman.sty
	$(LATEX) manual.tex

manual.dvi:     manual.aux manual.ind manual.gls
	$(LATEX) manual.tex

manual.ind:     manual.idx
	$(MAKEINDEX) -s l2hidx.ist manual.idx

manual.gls:     manual.glo l2hglo.ist
	$(MAKEINDEX) -o $@ -s l2hglo.ist manual.glo

manual.bbl:	manual.aux
	$(BIBTEX) manual




$(TOP).html: $(TOP).aux
	$(MAKE) fresh


fresh:
	$(L2H) $(LTOP);
	$(L2H) $(LSEC3); $(L2H) $(LSEC4);
	$(L2H) $(LSEC5);
	$(L2H) $(LSEC2);
	$(L2H) $(LSEC6);
	$(L2H) $(LSEC1);
	$(L2H) $(LSEC3); $(L2H) $(LSEC4);
	$(L2H) $(LTOP);
	touch $(TOP)/[HEMPSO]$(INT) $(TOP)/$(INT);
	touch [HEMPSO].stamp $(TOP).stamp;

html:
	$(MAKE) $(TOP).stamp;
	$(MAKE) E.stamp; $(MAKE) H.stamp;
	$(MAKE) M.stamp;
	$(MAKE) S.stamp;
	$(MAKE) P.stamp;
	$(MAKE) O.stamp;
	$(MAKE) E.stamp; $(MAKE) H.stamp;
	$(MAKE) $(TOP).stamp;


twosteps:
	if test -f "manual/images.log"; then  \
	rm -f manual/images.log; \
	make noimages; make images;  fi ;

noimages:
	$(L2H) -short_index -no_images manual.tex

images:
	$(L2H) -short_index -images_only manual.tex

htmlclean:
	rm -f manual/.??* manual/*TMP* 

clean:
	rm -f manual.dvi manual.ps manual.glo manual.log manual.aux \
	    manual.ilg manual.lof manual.lot manual.cb manual.idx \
	    manual.toc 


#
#  HTML version, as a segmented document
#

$(TOP).stamp:	$(TOP).tex  \
	$(TOP)/O$(INT) $(TOP)/H$(INT) $(TOP)/E$(INT) $(TOP)/M$(INT) $(TOP)/P$(INT) $(TOP)/S$(INT)
	$(L2H) $(LTOP)
	touch $@

$(TOP)/$(TOP).html:	$(TOP).stamp O.stamp S.stamp M.stamp H.stamp E.stamp P.stamp
	$(L2H) $(LTOP)
	$(MAKE) htmlclean

$(TOP)/$(INT):	$(TOP).tex
	$(L2H) $(LTOP)


$(TOP)images:
	$(L2Hon) $(LTOP)


sections:
	$(L2H) $(LSEC4);
	$(L2H) $(LSEC6);
	$(L2H) $(LSEC5);
	$(L2H) $(LSEC1);
	$(L2H) $(LSEC2);
	$(L2H) $(LSEC3);


$(TOP)/$(OVW).html:	$(OVW).tex $(TOP)/$(INT) \
		$(TOP)/H$(INT) $(TOP)/E$(INT) $(TOP)/M$(INT) $(TOP)/P$(INT) $(TOP)/S$(INT)
	$(MAKE)	O.stamp

$(OVW):
	$(L2H) $(LSEC1)


O.stamp:	$(OVW).tex
	$(L2H) $(LSEC1)
	touch $@

$(TOP)/O$(INT):
	$(L2H) $(LSEC1)



$(TOP)/$(SUP).html:	$(SUP).tex $(TOP)/$(INT) \
			$(TOP)/H$(INT) $(TOP)/E$(INT) $(TOP)/M$(INT)
	$(MAKE)	S.stamp

$(SUP):
	$(L2H) $(LSEC2)

S.stamp:	$(SUP).tex $(TOP)/$(INT) 
	$(L2H) $(LSEC2)
	touch $@

$(TOP)/S$(INT):
	$(L2H) $(LSEC2)



$(TOP)/$(MAN).html:	$(MAN).tex $(TOP)/$(INT) $(TOP)/H$(INT) $(TOP)/E$(INT)
	$(MAKE)	M.stamp

$(MAN):
	$(L2H) $(LSEC5)

M.stamp:	$(MAN).tex $(TOP)/$(INT) 
	$(L2H) $(LSEC5)
	touch $@

$(TOP)/M$(INT):
	$(L2H) $(LSEC5)



$(TOP)/$(HYP).html:	$(HYP).tex $(TOP)/$(INT) $(TOP)/M$(INT) $(TOP)/E$(INT) $(TOP)/O$(INT)
	$(MAKE)	H.stamp

$(HYP):
	$(L2H) $(LSEC4)

H.stamp:	$(HYP).tex $(TOP)/$(INT)
	$(L2H) $(LSEC4)
	touch $@

$(TOP)/H$(INT):
	$(L2H) $(LSEC4)



$(TOP)/$(ENV).html:	$(ENV).tex $(TOP)/$(INT) $(TOP)/M$(INT) $(TOP)/H$(INT) $(TOP)/S$(INT)
	$(MAKE)	E.stamp

$(ENV):
	$(L2H) $(LSEC3)

E.stamp:	$(ENV).tex $(TOP)/$(INT)
	$(L2H) $(LSEC3)
	touch $@

$(TOP)/E$(INT):
	$(L2H) $(LSEC3)



$(TOP)/$(PRO).html:	$(PRO).tex $(TOP)/$(INT) \
		$(TOP)/M$(INT) $(TOP)/H$(INT) $(TOP)/S$(INT) $(TOP)/E$(INT)
	$(MAKE)	P.stamp

$(PRO):
	$(L2H) $(LSEC6)

P.stamp:	$(PRO).tex $(TOP)/$(INT)
	$(L2H) $(LSEC6)
	touch $@

$(TOP)/P$(INT):
	$(L2H) $(LSEC6)



$(TOP)/$(CHA).html:	$(CHA).tex $(TOP)/$(INT)
	$(MAKE)	C.stamp

$(CHA):
	$(L2H) $(LSEC7)

C.stamp:	$(CHA).tex $(TOP)/$(INT)
	$(L2H) $(LSEC7)
	touch $@

$(TOP)/C$(INT):
	$(L2H) $(LSEC7)

## latex2html 99.1-pre2

=== cweb2html/Makefile ===

#
# Configure:
# This tells where latex2html can be found.
#LATEX2HTML=/usr/local/bin/latex2html
LATEX2HTML=/home/lippmann/latex2html/user/latex2html

#
# Configure:
# This tells where latex2html can be found.
CWEB2HTML=/home/lippmann/latex2html/user/cweb2html/cweb2html

#
# Optional:
# This will appear at every invocation of LaTeX2HTML.
# You could say "-init_file my_init.pl", "-debug", etc.
LATEX2HTMLFLAGS= -nosubdir #-debug

#
# Optional:
# You could use this to set options for CWEB2HTML
CWEB2HTMLFLAGS=


#
# No need for customization below except you want to tune up the Makefile.
#

PERL=perl
PERLFLAGS=
# get the working directory name with this:
PWD=/bin/pwd
# remove files and directories with this
RM=/bin/rm -f
RMDIR=/bin/rmdir
# copy files with this
CP=/bin/cp


LATEX=latex
BIBTEX=bibtex

CWEAVE=cweave
CTANGLE=ctangle

L2HCOMPILE=$(PERL) $(PERLFLAGS) $(LATEX2HTML) $(LATEX2HTMLFLAGS)
C2HCOMPILE=$(PERL) $(PERLFLAGS) $(CWEB2HTML) $(CWEB2HTMLFLAGS)

HTMLDIR=html.obj
DVIDIR=dvi.obj
TEXDIR=tex.obj
CDIR=c.obj

#
# The rules below are structurized to ease introduction of new CWEB files.
# Simply add new file here, and type ``make Makefile'', then ``make''.
#

FILES=	wcltx\
	linkex1\
	linkex2\
	#more_files

default:: wcltx.html

all:: html

html:: $(FILES:%=%.html)

dvi:: $(FILES:%=%.dvi)

tex:: $(FILES:%=%.tex)

c:: $(FILES:%=%.c)



$(HTMLDIR):
	mkdir $(HTMLDIR)

$(DVIDIR):
	mkdir $(DVIDIR)

$(TEXDIR):
	mkdir $(TEXDIR)

$(CDIR):
	mkdir $(CDIR)

clean:: $(FILES:%=%.clean)
	-$(RMDIR) $(CDIR) $(TEXDIR) $(DVIDIR) $(HTMLDIR)

help::	$(FILES:%=%.help)
	@echo;\
	echo "Targets available for this Makefile:";\
	echo "html  -- generate HTML out of all files";\
	echo "dvi   -- generate DVI out of all files";\
	echo "tex   -- generate TEX out of all files";\
	echo "c     -- generate C out of all files";\
	echo "clean -- remove all generated objects"

Makefile::
	$(PERL) $(PERLFLAGS) makemake.pl Makefile FILE

###BEGIN TEMPLATE###
FILE.html: $(TEXDIR) $(DVIDIR) \
	    $(HTMLDIR) $(HTMLDIR)/FILE $(HTMLDIR)/FILE/FILE.html
	@echo $(HTMLDIR)/FILE/FILE.html is up to date...

$(HTMLDIR)/FILE.html: $(HTMLDIR)/FILE $(HTMLDIR)/FILE/FILE.html
	@echo $(HTMLDIR)/FILE/FILE.html is up to date...

$(HTMLDIR)/FILE:
	-mkdir $(HTMLDIR)/FILE

# Technical hints:

# - We must copy the TeX source to the work directory since former
#   l2h versions do not interprete TEXINPUTS to determine the source
#   directory.
#   Further, providing a TeX source file with path prefix will cause
#   former versions of l2h to generate the output in the directory
#   determined by this prefix.
#   Eg. latex2html /path/to/TEXDIR/FILE.tex causes HTML files to be
#   generated in /path/to/TEXDIR, which isn't desired here.
# - We must copy the .aux and .bbl file due to the same fact that
#   they aren't located through TEXINPUTS.
# - We must copy each .perl translation to the work directory in
#   order to be found (another possibility is to put them into the
#   styles directory of LATEX2HTMLDIR defined in latex2html.config,
#   or to set up LATEX2HTMLSTYLES, but we assume this is not done yet.
#
$(HTMLDIR)/FILE/FILE.html: $(DVIDIR)/FILE.dvi
	-$(CP) *.tex *.perl\
	 $(TEXDIR)/FILE.tex $(DVIDIR)/FILE.aux $(DVIDIR)/FILE.bbl\
	 $(HTMLDIR)/FILE
	DIR=`cd $(TEXDIR);$(PWD)`;\
	TEXINPUTS="`$(PWD)`:.:`cd $(TEXDIR);$(PWD)`:$$TEXINPUTS";\
	export TEXINPUTS;\
	cd $(HTMLDIR)/FILE;\
	$(L2HCOMPILE) FILE.tex;\
	$(RM) *.perl *.tex FILE.aux FILE.bbl

FILE.clean:: $(HTMLDIR) $(HTMLDIR)/FILE
	-$(RM) $(HTMLDIR)/FILE/.[a-zA-Z]* $(HTMLDIR)/FILE/?*;\
	$(RM) -r $(HTMLDIR)/FILE/TMP;\
	$(RMDIR) $(HTMLDIR)/FILE


FILE.dvi: $(TEXDIR) $(DVIDIR) $(DVIDIR)/FILE.dvi
	@echo $(DVIDIR)/FILE.dvi is up to date...

$(DVIDIR)/FILE.dvi: $(TEXDIR)/FILE.tex
	-$(C2HCOMPILE) -dest_dir $(TEXDIR) $(TEXDIR)/FILE.tex\
	               $(TEXDIR)/FILE.scn;\
	TEXINPUTS="`$(PWD)`:.:`cd $(TEXDIR);$(PWD)`:$$TEXINPUTS";\
	export TEXINPUTS;\
	BIBINPUTS="`$(PWD)`:$$BIBINPUTS"; export BIBINPUTS;\
	cd $(DVIDIR);\
	$(LATEX) FILE.tex;\
	$(BIBTEX) FILE;\
	$(LATEX) FILE.tex;\
	$(LATEX) FILE.tex
#or use tex-it of Schrod's cweb-sty package: tex-it $(LATEX) FILE

FILE.clean:: $(DVIDIR)
	-$(RM) $(DVIDIR)/FILE.*


FILE.tex: $(TEXDIR) $(TEXDIR)/FILE.tex
	@echo $(TEXDIR)/FILE.tex is up to date...

$(TEXDIR)/FILE.tex: FILE.w
	CWEBINPUTS="`$(PWD)`"; export CWEBINPUTS;\
	cd $(TEXDIR); ln -s $$CWEBINPUTS/FILE.w .;\
	$(CWEAVE) FILE.w;\
	$(RM) FILE.w

FILE.clean:: $(TEXDIR)
	-$(RM) $(TEXDIR)/FILE.*


FILE.c: $(CDIR) $(CDIR)/FILE.c
	@echo $(CDIR)/FILE.c is up to date...

$(CDIR)/FILE.c: FILE.w
	CWEBINPUTS="`$(PWD)`"; export CWEBINPUTS;\
	echo CWEBINPUTS=$$CWEBINPUTS;\
	cd $(CDIR);\
	$(CTANGLE) $$CWEBINPUTS/FILE.w

FILE.clean:: $(CDIR)
	-$(RM) $(CDIR)/FILE.*

FILE.help::
	@echo;\
	echo "Targets available for file FILE:";\
	echo "FILE.html  -- generate HTML out of FILE.w";\
	echo "FILE.dvi   -- generate DVI out of FILE.w";\
	echo "FILE.tex   -- generate TEX out of FILE.w";\
	echo "FILE.c     -- generate C out of FILE.w";\
	echo "FILE.clean -- remove generated objects"

###END TEMPLATE###

# The contents following here is automatically replaced with above
# template for every entry found in the FILES macro.
# If you need to change something below, be aware that this is thrown
# away the next time you type ``make Makefile''.
# To get more resident results you might want to edit above template.

###DO NOT EDIT BELOW THIS LINE###
wcltx.html: $(TEXDIR) $(DVIDIR) \
	    $(HTMLDIR) $(HTMLDIR)/wcltx $(HTMLDIR)/wcltx/wcltx.html
	@echo $(HTMLDIR)/wcltx/wcltx.html is up to date...

$(HTMLDIR)/wcltx.html: $(HTMLDIR)/wcltx $(HTMLDIR)/wcltx/wcltx.html
	@echo $(HTMLDIR)/wcltx/wcltx.html is up to date...

$(HTMLDIR)/wcltx:
	-mkdir $(HTMLDIR)/wcltx


$(HTMLDIR)/wcltx/wcltx.html: $(DVIDIR)/wcltx.dvi
	-$(CP) *.tex *.perl\
	 $(TEXDIR)/wcltx.tex $(DVIDIR)/wcltx.aux $(DVIDIR)/wcltx.bbl\
	 $(HTMLDIR)/wcltx
	DIR=`cd $(TEXDIR);$(PWD)`;\
	TEXINPUTS="`$(PWD)`:.:`cd $(TEXDIR);$(PWD)`:$$TEXINPUTS";\
	export TEXINPUTS;\
	cd $(HTMLDIR)/wcltx;\
	$(L2HCOMPILE) wcltx.tex;\
	$(RM) *.perl *.tex wcltx.aux wcltx.bbl

wcltx.clean:: $(HTMLDIR) $(HTMLDIR)/wcltx
	-$(RM) $(HTMLDIR)/wcltx/.[a-zA-Z]* $(HTMLDIR)/wcltx/?*;\
	$(RM) -r $(HTMLDIR)/wcltx/TMP;\
	$(RMDIR) $(HTMLDIR)/wcltx


wcltx.dvi: $(TEXDIR) $(DVIDIR) $(DVIDIR)/wcltx.dvi
	@echo $(DVIDIR)/wcltx.dvi is up to date...

$(DVIDIR)/wcltx.dvi: $(TEXDIR)/wcltx.tex
	-$(C2HCOMPILE) -dest_dir $(TEXDIR) $(TEXDIR)/wcltx.tex\
	               $(TEXDIR)/wcltx.scn;\
	TEXINPUTS="`$(PWD)`:.:`cd $(TEXDIR);$(PWD)`:$$TEXINPUTS";\
	export TEXINPUTS;\
	BIBINPUTS="`$(PWD)`:$$BIBINPUTS"; export BIBINPUTS;\
	cd $(DVIDIR);\
	$(LATEX) wcltx.tex;\
	$(BIBTEX) wcltx;\
	$(LATEX) wcltx.tex;\
	$(LATEX) wcltx.tex

wcltx.clean:: $(DVIDIR)
	-$(RM) $(DVIDIR)/wcltx.*


wcltx.tex: $(TEXDIR) $(TEXDIR)/wcltx.tex
	@echo $(TEXDIR)/wcltx.tex is up to date...

$(TEXDIR)/wcltx.tex: wcltx.w
	CWEBINPUTS="`$(PWD)`"; export CWEBINPUTS;\
	cd $(TEXDIR); ln -s $$CWEBINPUTS/wcltx.w .;\
	$(CWEAVE) wcltx.w;\
	$(RM) wcltx.w

wcltx.clean:: $(TEXDIR)
	-$(RM) $(TEXDIR)/wcltx.*


wcltx.c: $(CDIR) $(CDIR)/wcltx.c
	@echo $(CDIR)/wcltx.c is up to date...

$(CDIR)/wcltx.c: wcltx.w
	CWEBINPUTS="`$(PWD)`"; export CWEBINPUTS;\
	echo CWEBINPUTS=$$CWEBINPUTS;\
	cd $(CDIR);\
	$(CTANGLE) $$CWEBINPUTS/wcltx.w

wcltx.clean:: $(CDIR)
	-$(RM) $(CDIR)/wcltx.*

wcltx.help::
	@echo;\
	echo "Targets available for file wcltx:";\
	echo "wcltx.html  -- generate HTML out of wcltx.w";\
	echo "wcltx.dvi   -- generate DVI out of wcltx.w";\
	echo "wcltx.tex   -- generate TEX out of wcltx.w";\
	echo "wcltx.c     -- generate C out of wcltx.w";\
	echo "wcltx.clean -- remove generated objects"


linkex1.html: $(TEXDIR) $(DVIDIR) \
	    $(HTMLDIR) $(HTMLDIR)/linkex1 $(HTMLDIR)/linkex1/linkex1.html
	@echo $(HTMLDIR)/linkex1/linkex1.html is up to date...

$(HTMLDIR)/linkex1.html: $(HTMLDIR)/linkex1 $(HTMLDIR)/linkex1/linkex1.html
	@echo $(HTMLDIR)/linkex1/linkex1.html is up to date...

$(HTMLDIR)/linkex1:
	-mkdir $(HTMLDIR)/linkex1


$(HTMLDIR)/linkex1/linkex1.html: $(DVIDIR)/linkex1.dvi
	-$(CP) *.tex *.perl\
	 $(TEXDIR)/linkex1.tex $(DVIDIR)/linkex1.aux $(DVIDIR)/linkex1.bbl\
	 $(HTMLDIR)/linkex1
	DIR=`cd $(TEXDIR);$(PWD)`;\
	TEXINPUTS="`$(PWD)`:.:`cd $(TEXDIR);$(PWD)`:$$TEXINPUTS";\
	export TEXINPUTS;\
	cd $(HTMLDIR)/linkex1;\
	$(L2HCOMPILE) linkex1.tex;\
	$(RM) *.perl *.tex linkex1.aux linkex1.bbl

linkex1.clean:: $(HTMLDIR) $(HTMLDIR)/linkex1
	-$(RM) $(HTMLDIR)/linkex1/.[a-zA-Z]* $(HTMLDIR)/linkex1/?*;\
	$(RM) -r $(HTMLDIR)/linkex1/TMP;\
	$(RMDIR) $(HTMLDIR)/linkex1


linkex1.dvi: $(TEXDIR) $(DVIDIR) $(DVIDIR)/linkex1.dvi
	@echo $(DVIDIR)/linkex1.dvi is up to date...

$(DVIDIR)/linkex1.dvi: $(TEXDIR)/linkex1.tex
	-$(C2HCOMPILE) -dest_dir $(TEXDIR) $(TEXDIR)/linkex1.tex\
	               $(TEXDIR)/linkex1.scn;\
	TEXINPUTS="`$(PWD)`:.:`cd $(TEXDIR);$(PWD)`:$$TEXINPUTS";\
	export TEXINPUTS;\
	BIBINPUTS="`$(PWD)`:$$BIBINPUTS"; export BIBINPUTS;\
	cd $(DVIDIR);\
	$(LATEX) linkex1.tex;\
	$(BIBTEX) linkex1;\
	$(LATEX) linkex1.tex;\
	$(LATEX) linkex1.tex

linkex1.clean:: $(DVIDIR)
	-$(RM) $(DVIDIR)/linkex1.*


linkex1.tex: $(TEXDIR) $(TEXDIR)/linkex1.tex
	@echo $(TEXDIR)/linkex1.tex is up to date...

$(TEXDIR)/linkex1.tex: linkex1.w
	CWEBINPUTS="`$(PWD)`"; export CWEBINPUTS;\
	cd $(TEXDIR); ln -s $$CWEBINPUTS/linkex1.w .;\
	$(CWEAVE) linkex1.w;\
	$(RM) linkex1.w

linkex1.clean:: $(TEXDIR)
	-$(RM) $(TEXDIR)/linkex1.*


linkex1.c: $(CDIR) $(CDIR)/linkex1.c
	@echo $(CDIR)/linkex1.c is up to date...

$(CDIR)/linkex1.c: linkex1.w
	CWEBINPUTS="`$(PWD)`"; export CWEBINPUTS;\
	echo CWEBINPUTS=$$CWEBINPUTS;\
	cd $(CDIR);\
	$(CTANGLE) $$CWEBINPUTS/linkex1.w

linkex1.clean:: $(CDIR)
	-$(RM) $(CDIR)/linkex1.*

linkex1.help::
	@echo;\
	echo "Targets available for file linkex1:";\
	echo "linkex1.html  -- generate HTML out of linkex1.w";\
	echo "linkex1.dvi   -- generate DVI out of linkex1.w";\
	echo "linkex1.tex   -- generate TEX out of linkex1.w";\
	echo "linkex1.c     -- generate C out of linkex1.w";\
	echo "linkex1.clean -- remove generated objects"


linkex2.html: $(TEXDIR) $(DVIDIR) \
	    $(HTMLDIR) $(HTMLDIR)/linkex2 $(HTMLDIR)/linkex2/linkex2.html
	@echo $(HTMLDIR)/linkex2/linkex2.html is up to date...

$(HTMLDIR)/linkex2.html: $(HTMLDIR)/linkex2 $(HTMLDIR)/linkex2/linkex2.html
	@echo $(HTMLDIR)/linkex2/linkex2.html is up to date...

$(HTMLDIR)/linkex2:
	-mkdir $(HTMLDIR)/linkex2


$(HTMLDIR)/linkex2/linkex2.html: $(DVIDIR)/linkex2.dvi
	-$(CP) *.tex *.perl\
	 $(TEXDIR)/linkex2.tex $(DVIDIR)/linkex2.aux $(DVIDIR)/linkex2.bbl\
	 $(HTMLDIR)/linkex2
	DIR=`cd $(TEXDIR);$(PWD)`;\
	TEXINPUTS="`$(PWD)`:.:`cd $(TEXDIR);$(PWD)`:$$TEXINPUTS";\
	export TEXINPUTS;\
	cd $(HTMLDIR)/linkex2;\
	$(L2HCOMPILE) linkex2.tex;\
	$(RM) *.perl *.tex linkex2.aux linkex2.bbl

linkex2.clean:: $(HTMLDIR) $(HTMLDIR)/linkex2
	-$(RM) $(HTMLDIR)/linkex2/.[a-zA-Z]* $(HTMLDIR)/linkex2/?*;\
	$(RM) -r $(HTMLDIR)/linkex2/TMP;\
	$(RMDIR) $(HTMLDIR)/linkex2


linkex2.dvi: $(TEXDIR) $(DVIDIR) $(DVIDIR)/linkex2.dvi
	@echo $(DVIDIR)/linkex2.dvi is up to date...

$(DVIDIR)/linkex2.dvi: $(TEXDIR)/linkex2.tex
	-$(C2HCOMPILE) -dest_dir $(TEXDIR) $(TEXDIR)/linkex2.tex\
	               $(TEXDIR)/linkex2.scn;\
	TEXINPUTS="`$(PWD)`:.:`cd $(TEXDIR);$(PWD)`:$$TEXINPUTS";\
	export TEXINPUTS;\
	BIBINPUTS="`$(PWD)`:$$BIBINPUTS"; export BIBINPUTS;\
	cd $(DVIDIR);\
	$(LATEX) linkex2.tex;\
	$(BIBTEX) linkex2;\
	$(LATEX) linkex2.tex;\
	$(LATEX) linkex2.tex

linkex2.clean:: $(DVIDIR)
	-$(RM) $(DVIDIR)/linkex2.*


linkex2.tex: $(TEXDIR) $(TEXDIR)/linkex2.tex
	@echo $(TEXDIR)/linkex2.tex is up to date...

$(TEXDIR)/linkex2.tex: linkex2.w
	CWEBINPUTS="`$(PWD)`"; export CWEBINPUTS;\
	cd $(TEXDIR); ln -s $$CWEBINPUTS/linkex2.w .;\
	$(CWEAVE) linkex2.w;\
	$(RM) linkex2.w

linkex2.clean:: $(TEXDIR)
	-$(RM) $(TEXDIR)/linkex2.*


linkex2.c: $(CDIR) $(CDIR)/linkex2.c
	@echo $(CDIR)/linkex2.c is up to date...

$(CDIR)/linkex2.c: linkex2.w
	CWEBINPUTS="`$(PWD)`"; export CWEBINPUTS;\
	echo CWEBINPUTS=$$CWEBINPUTS;\
	cd $(CDIR);\
	$(CTANGLE) $$CWEBINPUTS/linkex2.w

## latex2html 99.1-pre2-b6-dennou-1

=== docs/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 MAKEINDEX = makeindex
 BIBTEX = bibtex
 
-# L2H = latex2html  -no_math -html_version 3.2,math -scalable_fonts 
-L2H = latex2html  -no_math -html_version 3.2,math 
+# L2H = latex2html  -no_math -html_version 3.2,math -scalable_fonts
+L2H = ../latex2html  -no_math -html_version 3.2,math
 
 
 #
@@ -30,7 +30,7 @@
 # to set path-variables before calling other scripts.
 # For example...
 #
-TEXMF = /usr/local/texmf
+TEXMF = /usr/lib/texmf
 
 LATEXINPUTDIR = $(TEXMF)/tex/latex//
 PKFONTDIR = $(TEXMF)/fonts/public//pk/cx//
@@ -88,45 +88,45 @@
 
 LSEC1	  = $(COMMON) -prefix O  \
 		-prev_url $(TOP).html -prev_title $(TOPTITLE) \
-		-down_url $(SUP).html -down_title $(S2TITLE)  $(OVW).tex 
+		-down_url $(SUP).html -down_title $(S2TITLE)  $(OVW).tex
 
 LSEC2	  = $(COMMON) -prefix S  -debug \
 		-prev_url $(OVW).html -prev_title $(S1TITLE) \
-		-down_url $(ENV).html -down_title $(S3TITLE)  $(SUP).tex 
-
-#		-down_url $(MAN).html -down_title $(S3TITLE)  $(SUP).tex 
+		-down_url $(ENV).html -down_title $(S3TITLE)  $(SUP).tex
+
+#		-down_url $(MAN).html -down_title $(S3TITLE)  $(SUP).tex
 
 LSEC3	  = $(COMMON) -prefix E \
 		-prev_url ../$(TOP)/$(SUP).html -prev_title $(S2TITLE) \
-		-down_url ../$(TOP)/$(HYP).html -down_title $(S4TITLE)  $(ENV).tex 
-
-#		-down_url ../$(TOP)/$(HYP).html -down_title $(S4TITLE)  $(MAN).tex 
+		-down_url ../$(TOP)/$(HYP).html -down_title $(S4TITLE)  $(ENV).tex
+
+#		-down_url ../$(TOP)/$(HYP).html -down_title $(S4TITLE)  $(MAN).tex
 
 LSEC4	  = $(COMMON) -prefix H \
 		-prev_url ../$(TOP)/$(ENV).html -prev_title $(S3TITLE) \
-		-down_url ../$(TOP)/$(MAN).html -down_title $(S5TITLE)  $(HYP).tex 
+		-down_url ../$(TOP)/$(MAN).html -down_title $(S5TITLE)  $(HYP).tex
 
 #		-prev_url ../$(TOP)/$(MAN).html -prev_title $(S3TITLE) \
-#		-down_url ../$(TOP)/$(FEA).html -down_title $(S5TITLE)  $(HYP).tex 
+#		-down_url ../$(TOP)/$(FEA).html -down_title $(S5TITLE)  $(HYP).tex
 
 LSEC5	  = $(COMMON) -prefix M \
 		-prev_url ../$(TOP)/$(HYP).html -prev_title $(S4TITLE) \
-		-down_url ../$(TOP)/$(PRO).html -down_title $(S6TITLE)  $(MAN).tex 
-
-#		-down_url ../$(TOP)/$(PRO).html -down_title $(S6TITLE)  $(FEA).tex 
+		-down_url ../$(TOP)/$(PRO).html -down_title $(S6TITLE)  $(MAN).tex
+
+#		-down_url ../$(TOP)/$(PRO).html -down_title $(S6TITLE)  $(FEA).tex
 
 LSEC6	  = $(COMMON) -prefix P \
 		-prev_url ../$(TOP)/$(MAN).html -prev_title $(S5TITLE) \
-		-down_url ../$(TOP)/$(REFNODE).html -down_title $(BIBLIO)  $(PRO).tex 
+		-down_url ../$(TOP)/$(REFNODE).html -down_title $(BIBLIO)  $(PRO).tex
 
 #		-prev_url ../$(TOP)/$(FEA).html -prev_title $(S5TITLE) \
 
-#		-down_url ../$(TOP)/$(CHGNODE).html -down_title $(CHGTITLE)  $(PRO).tex 
+#		-down_url ../$(TOP)/$(CHGNODE).html -down_title $(CHGTITLE)  $(PRO).tex
 
 
 LSEC7	  = $(COMMON) -prefix C -dir $(TOP)  -info 0  \
 		-prev_url ../$(TOP)/$(PRO).html -prev_title $(S6TITLE) \
-		-down_url ../$(TOP)/$(GLOSSNODE).html -down_title $(GLOSS)  $(CHA).tex 
+		-down_url ../$(TOP)/$(GLOSSNODE).html -down_title $(GLOSS)  $(CHA).tex
 
 
 #
@@ -134,7 +134,7 @@
 #
 
 manual.ps:      manual.cb
-	$(DVIPS) -N0 -D 1200 manual.dvi -o $@
+	$(DVIPS) manual.dvi -o $@
 
 manual.aux manual.cb: \
 	    manual.tex credits.tex licence.tex overview.tex \
@@ -202,12 +202,12 @@
 	$(L2H) -short_index -images_only manual.tex
 
 htmlclean:
-	rm -f manual/.??* manual/*TMP* 
+	rm -f manual/.??* manual/*TMP*
 
 clean:
 	rm -f manual.dvi manual.ps manual.glo manual.log manual.aux \
 	    manual.ilg manual.lof manual.lot manual.cb manual.idx \
-	    manual.toc 
+	    manual.toc
 
 
 #
@@ -242,6 +242,7 @@
 
 $(TOP)/$(OVW).html:	$(OVW).tex $(TOP)/$(INT) \
 		$(TOP)/H$(INT) $(TOP)/E$(INT) $(TOP)/M$(INT) $(TOP)/P$(INT) $(TOP)/S$(INT)
+
 	$(MAKE)	O.stamp
 
 $(OVW):
@@ -264,7 +265,7 @@
 $(SUP):
 	$(L2H) $(LSEC2)
 
-S.stamp:	$(SUP).tex $(TOP)/$(INT) 
+S.stamp:	$(SUP).tex $(TOP)/$(INT)
 	$(L2H) $(LSEC2)
 	touch $@
 
@@ -279,7 +280,7 @@
 $(MAN):
 	$(L2H) $(LSEC5)
 
-M.stamp:	$(MAN).tex $(TOP)/$(INT) 
+M.stamp:	$(MAN).tex $(TOP)/$(INT)
 	$(L2H) $(LSEC5)
 	touch $@

=== debian/changelog ===
latex2html (99.1-pre2-b6-dennou-1) frozen unstable; urgency=low

  * Added dennou.sty 

 -- Takehiro Shin-ichi <takepiro@gfd-dennou.org>  Thu,  7 Jun 2001 16:02:08 +0900

latex2html (99.1-pre2-b6-11) frozen unstable; urgency=low

  * Added missing dependency on netpbm to pull in pnmcrop. This fixes a
    grave bug. closes: Bug#63191

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Jun 2001 16:01:23 +0900

latex2html (99.1-pre2-b6-10) frozen unstable; urgency=low

  * Failed to config with old fileutils (3.16-5.3). Upgrading to a newer
    version of file ustils makes this work. The only change ahs been a
    dependency on the new fileutils version. This closes an important
    bug. closes: Bug#60739

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 21 Mar 2000 02:34:04 -0600

latex2html (99.1-pre2-b6-9) unstable; urgency=low

  * Fixed a typo in the description. closes: Bug#60046
  * Use absolute links when related links would not work, for the
    /usr/doc/latex2tml symlink.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Mar 2000 14:08:06 -0600

latex2html (99.1-pre2-b6-8) frozen unstable; urgency=low

  * Add a README.Debian to the foilhtml files, so that people are aware of
    the problem with landsacpe mode. Since the foilhtml files are not
    installed by default, this should be enough for an interim solution. I
    have apprised upstream about this as well. This is in relation to
    Bug#58371 
  * Fixed an upgrade bug when /usr/doc happens to be a symlink, and does
    not point to /usr/share/doc. A couple of people were bitten by this.
  * Added a huge man page for LaTeX2HTML, based on the TeX
    documentation. Mentioned that man page may be out of date, end refer
    people to the canonical documentation. closes: Bug#58876

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  4 Mar 2000 01:54:06 -0600

latex2html (99.1-pre2-b6-7) frozen unstable; urgency=low

  * Make sure the documents were not included twice. closes: Bug#57668
  * It already fixes this bug. closes: Bug#57649

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Feb 2000 18:58:59 -0600

latex2html (99.1-pre2-b6-6) frozen unstable; urgency=low

  * Make sure texhash is run even when we purge, rather than just
    remove. This closes: Bug#57346
  * Allow package to allow gif creation (as long as the user has installed
    netpbm-nonfree). closes: Bug#57357

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Feb 2000 09:35:52 -0600

latex2html (99.1-pre2-b6-5) frozen unstable; urgency=low

  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug. 
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 19:34:00 -0600

latex2html (99.1-pre2-b6-4) frozen unstable; urgency=low

  * Buggy prerm did not remove the /usr/doc/latex2html symlink. This
    caused upgrades from recent versions to fail. closes: Bug#57127, Bug#56939
  * Made postinst not warn about cp

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Feb 2000 01:47:50 -0600

latex2html (99.1-pre2-b6-3) frozen unstable; urgency=low

  * Handle lone .dhelp files in dpc/latex2html/html as well. Also, correct
    and update invocation of cp. closes: Bug#57061

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  4 Feb 2000 23:09:14 -0600

latex2html (99.1-pre2-b6-2) frozen unstable; urgency=medium

  * Make sure the icons in /var/ww/usr/share/latex2html/icons/ are not
    removed when the package is removed (they are removed, though, when
    the package is purged). This is an important fix, since otherwise
    removing the package would break generated pages.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  2 Feb 2000 00:20:26 -0600

latex2html (99.1-pre2-b6-1) frozen unstable; urgency=low

  * A major bug fix release. I understand the bit about no new code, but
    this has been a major improvement since 99.1 (which was not a released
    version either).
  * Made sure that the old directory /var/www/usr/lib/latex2html is
    removed in the preinst, to make sure the symlink is created during
    install (else we were left with no symlink and an empty real dir) 
    closes: Bug#49746
  * Updated the new location of sources and the licence terms. This 
    closes: Bug#46114
  * Newer upstream fixed important bugs. closes: Bug#50653, Bug#45066, Bug#48658

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 29 Jan 2000 14:43:32 -0600

latex2html (99.1-3) unstable; urgency=low

  * Added a pointer to local copy of the documentation. closes: Bug#42017

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Aug 1999 02:42:44 -0500

latex2html (99.1-2) unstable; urgency=low

  * Moved partially to debian-policy 3.0.0 (no /usr/doc move yet)
  * Moved to the new perl policy. closes: Bug#41293

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Jul 1999 13:44:52 -0500

latex2html (99.1-1) unstable; urgency=low

  * The new upstream version has the newer url.sty (same version as in
    tetex-extra). closes: Bug#35957
  * Fixed location of HTML docs in the docbase and menu entry
    files. closes: BUG#35204
  * In potato, texmf has moved to /usr/share/texmf. Use that, and conflict
    with older tetex-base packages. This closes a grave bug. I shan't be
    moving from /usr/lib/latex2html until we adopt FHS, and decide to
    move.  closes: Bug#35837

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 May 1999 22:50:15 -0500

latex2html (98.1-pre2-b8-4) unstable; urgency=low

  * use the nopipes version of pstoimg, since that solves image generation
    problems for some people.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 Mar 1999 09:51:25 -0600

latex2html (98.1-pre2-b8-3) unstable; urgency=low

  * Added doc-base support



=== debian/control ===
Source: latex2html
Section: tex
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.0.0.0

Package: latex2html
Architecture: all
Depends: perl5, pnmtopng, fileutils (>= 4.0), netpbm
Recommends: tetex-bin, gs
Suggests: giftrans, netpbm-nonfree
Conflicts: tetex-base (<< 0.9.990311-2)
Description: LaTeX to HTML translator.
 LaTeX2HTML is a conversion tool that that converts documents written
 in LaTeX to HTML format. In addition, it offers an easy migration
 path towards authoring complex hypermedia documents using familiar
 word-processing concepts. 
 .
 LaTeX2HTML replicates the basic structure of a LaTeX document as a
 set of interconnected HTML files which can be explored using
 automatically generated navigation panels. The cross-references,
 citations, footnotes, the table of contents and the lists of figures
 and tables, are also translated into hypertext links. Formatting
 information which has equivalent ``tags'' in HTML (lists, quotes,
 paragraph breaks, type styles, etc.) is also converted
 appropriately. The remaining heavily formatted items such as
 mathematical equations, pictures or tables are converted to images
 which are placed automatically at the correct positions in the final
 HTML document.
 .
 LaTeX2HTML extends LaTeX by supporting arbitrary hypertext links and
 symbolic cross-references between evolving remote documents. It also
 allows the specification of conditional text and the inclusion of raw
 HTML commands. These hypermedia extensions to LaTeX are available as
 new commands and environments from within a LaTeX document.
 .
 Pstoimg, the part of latex2html that produces bitmap images from the
 LaTeX source, can support both GIF and PNG format. The default is
 PNG.
 .
 Please note that there are certain legal limitations on the use of
 the GIF image format. Also, LaTeX2HTML would depend on netpbm-nonfree,
 which is in section non-free, if the default image style is changed to be 
 GIF.
 .

=== debian/rules ===
#!/usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@tiamat.datasync.com )
## Created On	    : Mon Apr  7 22:14:47 1997
## Created On Node  : tiamat.datasync.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Feb  8 19:33:30 2000
## Last Machine Used: glaurung.green-gryphon.com
## Update Count	    : 144
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
## $Id: rules,v 1.29 2000/02/10 00:59:36 srivasta Exp $
###############################################################################

#
# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
#                          sed 's/^Version: *//')
#

FILES_TO_CLEAN = debian/files debian/buildinfo debian/substvars        \
                 latex2html.bak

STAMPS_TO_CLEAN = stamp-configure stamp-build stamp-binary
DIRS_TO_CLEAN   = debian/tmp  docs/manual
thisdir         =$(shell pwd)

install_file   = /usr/bin/install -p    -o root -g root  -m 644
install_program= /usr/bin/install -p    -o root -g root  -m 755
install_game   = /usr/bin/install -p    -o root -g games -m 2755
make_directory = /usr/bin/install -p -d -o root -g root  -m 755

package = $(shell grep Source debian/control | sed 's/^Source: //')

CC          := gcc
CFLAGS      := -O2
LDFLAGS     := -s
PERL        := /usr/bin/perl
PREFIX      := /usr
BINDIR      := $(PREFIX)/bin
LIBDIR      := $(PREFIX)/share/latex2html
ICONPATH    := $(PREFIX)/share/latex2html/icons
ICONSTORAGE := /var/www/$(ICONPATH)

# Location of the source dir
SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi;)
TMPTOP         := $(SRCTOP)/debian/tmp
DOCDIR 	       := $(TMPTOP)/usr/share/doc/$(package)
DOCBASE        := $(TMPTOP)/usr/share/doc-base
MENUDIR        := $(TMPTOP)/usr/lib/menu/
MANDIR         := $(TMPTOP)/usr/share/man/man1
OLDSHADOWDIR   := $(TMPTOP)/var/www/usr/lib
SHADOW_DIR     := $(TMPTOP)/var/www/usr/share/$(package)/
SHADOW_ICONDIR := $(TMPTOP)/var/www/usr/share/$(package)/icons

all build: stamp-build
stamp-build:
	$(checkdir)
	-test -f stamp-configure || $(MAKE) -f debian/rules configure
	$(MAKE)
	mkdir -p docs/manual
	$(MAKE) -C docs \
              L2H='../latex2html -test_mode -no_math -html_version 3.2,math' \
	      LATEX2HTMLDIR=$(SRCTOP) manual.dvi
	$(MAKE) -C docs \
              L2H='../latex2html -test_mode -no_math -html_version 3.2,math' \
	      LATEX2HTMLDIR=$(SRCTOP) manual.ps
	$(MAKE) -C docs \
              L2H='../latex2html -test_mode -no_math -html_version 3.2,math' \
	      LATEX2HTMLDIR=$(SRCTOP) html
	dpkg -l gcc perl dpkg 'libc*' binutils ldso make dpkg-dev |\
         awk '$$1 == "ii" { printf("%s-%s\n", $$2, $$3) }' > \
          debian/buildinfo
	touch stamp-build

configure: stamp-configure

stamp-configure:
	$(checkdir)
	./configure --verbose --prefix=$(PREFIX) \
                    --libdir=$(LIBDIR) \
                    --with-perl=$(PERL) \
                    --with-iconpath=$(ICONPATH) \
                    --with-iconstorage=$(ICONSTORAGE) \
                     && touch stamp-configure

clean:
	$(checkdir)
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	-$(MAKE) -C docs clean htmlclean
	-$(MAKE) distclean
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS

binary-indep:	build stamp-binary

binary-arch: build

stamp-binary:
	@test 0 = $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)
	$(checkdir)
	test -f stamp-build ||	$(MAKE) -f debian/rules build
	-rm -rf			$(TMPTOP)
	$(make_directory)	$(DOCDIR)/html
	$(make_directory)       $(MANDIR)
	$(make_directory)	$(MENUDIR)
	$(make_directory)	$(DOCBASE)
	$(make_directory)       $(SHADOW_ICONDIR)
	$(make_directory)       $(OLDSHADOWDIR)
	$(make_directory)	$(TMPTOP)/DEBIAN
	$(make_directory)	$(TMPTOP)/etc
	$(install_file)		debian/changelog     $(DOCDIR)/changelog.Debian
	$(install_file)		debian/README.debian $(DOCDIR)/README.debian
	$(install_file)         debian/buildinfo     $(DOCDIR)/buildinfo.Debian
	$(MAKE)                 INSTALLING_DEBIAN=1 install
	(cd $(OLDSHADOWDIR);    ln -s ../share/$(package) .)
	(cd $(TMPTOP)/$(LIBDIR)/docs; $(MAKE) clean htmlclean)
	(cd $(TMPTOP)/$(LIBDIR); \
            mv l2hconf.pm       $(TMPTOP)/etc/latex2html.config; \
            ln -s               /etc/latex2html.config l2hconf.pm )
	(cd $(SHADOW_ICONDIR);  rm -f *; touch .deleteme)
	$(install_file)         dot.latex2html-init    $(DOCDIR)/
	$(install_file)         Changes    	       $(DOCDIR)/
	$(install_file)         docs/manual.dvi        $(DOCDIR)/
	$(install_file)         docs/manual.ps         $(DOCDIR)/
	$(install_file)         latex2html.1           $(MANDIR)
	$(install_file)         texexpand.1            $(MANDIR)
	pod2man pstoimg         > $(MANDIR)/pstoimg.1
	gzip -9fqr		$(DOCDIR)
	gzip -9fqr		$(MANDIR)
	(cd $(DOCDIR);          ln -s Changes.gz       changelog.gz;)
	$(install_file)         debian/copyright       $(DOCDIR)/copyright
	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                (cd $(DOCDIR)/html; tar xf   -)
	(cd $(TMPTOP)/$(LIBDIR); rm -rf docs;)
	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/cweb2html/cweb2html
	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/cweb2html/makemake.pl
	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/makemap
	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/makeseg/makeseg
	$(make_directory)       $(TMPTOP)/usr/lib/menu
	$(install_file)         debian/menuentry       $(MENUDIR)/$(package)
	$(install_file)         debian/docentry        $(DOCBASE)/$(package)
	$(install_file)		debian/conffiles       $(TMPTOP)/DEBIAN/conffiles
	$(install_program)      debian/postinst        $(TMPTOP)/DEBIAN/postinst
	$(install_program)      debian/postrm          $(TMPTOP)/DEBIAN/postrm
	$(install_program)      debian/prerm           $(TMPTOP)/DEBIAN/prerm
	$(install_program)      debian/preinst         $(TMPTOP)/DEBIAN/preinst
	dpkg-gencontrol -isp
	chown -R root.root	$(TMPTOP)
	chmod -R go=rX		$(TMPTOP)
	dpkg --build		$(TMPTOP) ..
	touch stamp-binary

define checkdir
	test -f debian/rules -a -f latex2html.pin
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot
